<template>
  <slot v-if="id" />
</template>

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/layers/#symbol

import {
  propsLayer,
  propsLayerSortKey,
  propsLayerSymbol,
  defineTransitions
} from './shared/props.js'

export const opts = Object.assign({},
  propsLayer,
  propsLayerSortKey,
  propsLayerSymbol
)
const options = defineTransitions(opts)
</script>

<script setup>
import { provide } from 'vue'
import { setupLayer } from './shared/setup.js'
import { eventsLayer } from './shared/events.js'

const type = 'symbol'
const props = defineProps(options)
const emit = defineEmits(eventsLayer)

const { id } = setupLayer(type, options, props, emit)

provide('symbol', id)
defineExpose({ symbol: id })
</script>
